@import "vars";
@import "vendor/reset.scss";
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');
* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    background-color: #F9F9F9;
    font-size: 1.6rem;
    font-family: 'Raleway', sans-serif;
    color: $black;
}


@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1320px;
    }
}

@media (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1140px;
    }
}

@media (min-width: 992px) {
    .container, .container-lg, .container-md, .container-sm {
        max-width: 960px;
    }
}

@media (min-width: 768px) {
    .container, .container-md, .container-sm {
        max-width: 720px;
    }
}

@media (min-width: 576px) {
    .container, .container-sm {
        max-width: 540px;
    }
}

/* blocks */
@import "blocks/main";
@import "blocks/header";
@import "blocks/slider";
@import "blocks/footer";
@import "blocks/categories-modal";
@import "blocks/category";
@import "blocks/product";
@import "blocks/comments";

p {
    margin: 0;
    padding: 0 0 15px 0;
    line-height: 1.2;
    font-size: 1.6rem;
}

h2 {
    font-weight: bolder;
    font-size: 1.5em;
    margin: 0.75em 0;
}

strong {
    font-weight: bolder;
}

ol {
    list-style: decimal;
    margin-left: 4rem;
    
    li {
        line-height: 1.5;
    }
}

blockquote {
    border: 0;
    text-align: left;
    border-left: 2px solid $red;
    padding: 5px 0 0 20px;
    font-style: italic;
    font-size: 16px;
    display: block;
    unicode-bidi: embed;
    margin-left: 40px;
    margin-right: 40px;
}

b {
    font-weight: bold;
}

.no-mobile {
    display: inherit !important;

    @media screen and (max-width: 1024px) {
        display: none !important;
    }
}

.no-desktop {
    display: none !important;

    @media screen and (max-width: 1024px) {
        display: inherit !important;
    }
}

.d-none {
    display: none;
}

h3 {
    font-size: 2rem;
}

.lh-2r {
    line-height: 2rem;
}

.btn-default {
    font-size: 1.4rem;
    padding: 1rem 1.5rem;
    background: $red;
    color: $white;
    min-width: 12rem;
    margin-right: 2rem;
    border-radius: 0.5rem;
    font-weight: 600;
    letter-spacing: 0.5px;

    &:last-child {
        margin-right: 0;
    }

    &:hover {
        color: $lightgray;
        background: darken($red, 5%);
    }

    i {
        margin-right: 1rem;
        font-size: 1.6rem;
    }
}

.float-left {
    float: left;
}
